Subject: Re: bug: hard links to soft links do not work
From: "John Vincent" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 02 Aug 2002 11:34:55 +0000

Hi,

I've looked at this some more, and I think I've figured out what it's
doing. The hard link is now a link to the *target* of the soft link
instead of a link to the soft link itself. This seems like a reasonable
compromis to me (since the whole soft link thing is a bit of a kludge
on windows, due to the .lnk suffix). Does it still do something
reasonable if the target is a link to a link?

Also, I think the warning message you get in Linux about non-portability
would also be a useful addition to the cygwin version of the ln program.

Well, that's my tuppence worth ...

/John Vincent.

>I've checked in a patch.  What I've done isn't consistent with linux but
>at least it does something sensible now:
>
>   j:\tmp>touch x
>   j:\tmp>ln -s x y
>   j:\tmp>ln y z
>   j:\tmp>ls -l ?
>   -rw-rw-rw-    2 cgf      None            0 Aug  1 19:56 x
>   lrwxrwxrwx    1 cgf      None           82 Aug  1 19:56 y -> x
>   -rw-rw-rw-    2 cgf      None            0 Aug  1 19:56 z
>

_________________________________________________________________
Send and receive Hotmail on your mobile device: http://mobile.msn.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/